<?php
	
	if(!defined('SYS_ROOT')){exit('No direct file access allowed!');}
	
	/**
	* Xtron PHP Framework
	* A MVC style framework for building web applications
	* By: Jason Alan Delaney (http://www.xtroncms.com)
	* PHP version 5+
	*/
	
	/**
	* @string class name to be loaded
	* @return object
	* Note: Class name id case sensitive on some systems!
	*/
	function load_class($class, $init = true){

		static $objects = array();
		
		//check if class has already been loaded through load_class
		//function
		if(isset($objects[$class])){
			return $objects[$class];
		}
		
		//load class file and add element to $objects array
		if(file_exists(APP_ROOT . 'libs' . DS . $class . '.php')){
			require (APP_ROOT . 'libs' . DS . $class . '.php');
		}
		//System library folder
		elseif(file_exists(SYS_ROOT . 'libs' . DS . $class . '.php')){
			require (SYS_ROOT . 'libs' . DS . $class . '.php');
		}
		
		if(!class_exists($class)){
			
			exit('The class <strong>' . $class . '</strong> was not found');
			
		}
		
		if($init){
			//load the class by reference
			$objects[$class] =& init_class(new $class());
			return $objects[$class];
		}
	} 
	
	function &init_class(&$class){
		return $class;
	}
	
	//Display error message
	function error($message, $header = 'XPF Error:', $template = 'error'){
		$error =& load_class('Error');
		$error->show($message, $header, $template);
	}

	function error_404(){
		$error =& load_class('Error');
		$error->show('','','404');
	}
	
	/**
	* Load application config file
	*/
	function load_config(){
		
		if(!file_exists(APP_ROOT . 'config' . DS . 'config.php')){
			
			error('Config file not found in <strong>' . DS . APP_FOLDER . DS . 'config ' . DS . '</strong>');
			
		}else{
			
			require(APP_ROOT . 'config' . DS . 'config.php');
			
			if(!isset($config) || !is_array($config)){
				
				error('Your application config file is missing config array');
				
			}
			
			return $config;
			
		}
		
	}
	
	
?>