<h3>Creating Your First Application</h3>

<h5>About Controllers and How They Work</h5>

Controllers are PHP classes and are the base file for every page in your application. When the browser points to a page, for example www.yourdomain.com/index.php?<strong>about</strong> <br/>
Popcorn searches for a controller named <strong>about</strong> to use for displaying content for that page. Controllers are used for constructing all the peices <br/> 
of a page together. For instance, you have three main parts to a page. The view page (the HTML file), the model (not always present, used for processing database data), <br/>
and any custom functionality you add to the page such as the use of libraries, addons, and other content you design.<br/><br/>

Note: All of your application files (except PopcornPHP addons) will go into the <strong>system/app/</strong> folder.
<br/><br>

- 1.) Create a new controller (.php) file under system/app/controllers/ and name it anything you want, this name with be used in the URI for accessing the page and also used for the
controller's class name. I'll name mine <i>helloWorld.php</i>
<br/><br/>
- 2.) Create a new view file (.php) under system/app/views/ and name it anything. This file will contain all the HTML for the page. I named mine <i>hello_world_view.php</i>
<br/><br/>
- 3.) In your controller file create a new class with the same name as the controller file, but the first letter UPPERCASE. Mine would be <strong>HelloWorld</strong>. <br/>
All of your controllers MUST extend PopcornPHP's base controller class. The base controller class loads all core system libraries and other goodies needed to run.
<br/>
<br/>Example: <br/>
	<div style="background: #ccc;">class HelloWorld extends Controller {
	<br/><br/>
	}
	</div>
	
<br/><br/>
- 4.) All controllers must have an index() method. The index method is automatically run on page load and is used for running your controllers code. <br/>
In this case we are just simply displaying a view file with the <i>Display</i> class. Shown below is an example of how to diplay view files to the browser.
<br/>
<br/>Example: <br/>
	<div style="background: #ccc;">class HelloWorld extends Controller {
	<br/>
	&nbsp;&nbsp;function index(){
		<br/>
		&nbsp;&nbsp;&nbsp;&nbsp;//this(this class)::Display(class)::view(method)(NAME_OF_VIEW_FILE)<br/>
		&nbsp;&nbsp;&nbsp;&nbsp;<span style="background: yellow;">echo $this->display->view('hello_world_view');</span>
		<br/>
	&nbsp;&nbsp;}
	<br/>
	}
	</div>
<br/><br/>

- 5.) In your view file, add any HTML you want for that page. In this example I'm just going to put a simple Hello World. You may also use PHP in view files.<br/>

<br/>Example: <br/>
	<div style="background: #ccc;">
	<br/>
	&lt;strong&gt;Hello World!&lt;/strong&gt;
	<br/><br/>
	</div>
	<br/><br/>
	
In your browser, go to www.yourdomain.com/?helloWorld (where helloWorld is the name of your controller) to view your page.