<?php
	
	if(!defined('SYS_ROOT')){exit('No direct file access allowed!');}
	
	/**
	* Xtron PHP Framework
	* A MVC style framework for building web applications
	* By: Jason Alan Delaney (http://www.xtroncms.com)
	* PHP version 5+
	*/
	
	/**
	* Load database driver
	*/
	function &db($params = ''){
		
		/**
		* Use default database connection settings
		*/
		if($params == '' || empty($params) || !is_array($params)){
			
			//Get database config file
			if(file_exists(APP_ROOT . 'config' . DS . 'database.php')){
				include(APP_ROOT . 'config' . DS . 'database.php');
			}else{error('No database config file found in ' . APP_FOLDER . DS . 'config' . DS);}
			
			if(!isset($db) || !is_array($db)){
				error('Improper database config file');
			}
			
			$params = $db;
			
		}else{
			//Set password to blank by default
			$params['pass']	= (!isset($params['pass']))? '' : $params['pass'];
			//Set host to default value "localhost"
			$params['host']	= (!isset($params['host']))? 'localhost' : $params['host'];
			
			if(!isset($params['user']) || !isset($params['name'])){
				error('Database connection parameters must include at least a user and DB name. Optionally you may specify a password and host.');
			}
		}
		
		if(!isset($params['driver']) || $params['driver'] == ''){
			error('You must choose a database driver to use when connecting to a database');
		}
		
		require_once(SYS_ROOT . 'database' . DS . 'database_driver.php');
		
		//Include the driver
		require_once(SYS_ROOT . 'database' . DS . 'drivers' . DS . strtolower($params['driver']) . '.php');
		
		$driver = $params['driver'] . '_dbdriver';
		$db =& init_class(new $driver($params));
		
		//Connect to the database
		$db->init();
		
		return $db;
		
	}
	
?>