<?php	
	
	if(!defined('SYS_ROOT')){exit('No direct file access allowed!');}
	
	/**
	* Xtron PHP Framework
	* A MVC style framework for building web applications
	* By: Jason Alan Delaney (http://www.xtroncms.com)
	* PHP version 5+
	*/	
	
	/*
	* Load configuration files
	*/
	
	class Config {
		
		var $config = array();
		
		function __construct(){
			//config array from app/config/config.php
			//load_config function defined in XPF/global.php
			$this->config	= load_config();

		}
		
		//load config file
		function load($file = ''){
			
			//config file name
			$file = ($file == '')? 'config' : str_replace('.php','',$file);
			
			//if config file is not found
			if(!file_exists(APP_ROOT . 'config' . DS . $file .'.php')){
				
				error('Configuration file "'. $file . '" not found.');
			
			}else{
				
				include(APP_ROOT . 'config' . DS . $file .'.php');
				
				if(!isset($config) || !is_array($config)){
					
					error('Your config file does not contain a config array.');
					
				}
				
				$this->config = array_merge($this->config, $config);
				
			}
			
		}
		
		/**
		* Retreives config 'site_url'
		*/
		function site_url($uri = ''){
			
			$folder = (substr($this->item('folder'), -1) == '/' && $this->item('folder') != '')? $this->item('folder') : $this->item('folder') . '/';
			
			if(strtoupper($this->item('site_url')) == 'AUTO' || $this->item('site_url') == ''){
				
				$url = 'http://www.' . $_SERVER['HTTP_HOST'] . '/';
				
				return $url . $folder . trim($uri , '/');
				
			}else{
				//Get set URL
				$url = $this->item('site_url');
				
				//Add a trailing slash
				$url = (substr($url, -1) == '/')? $url : $url . '/';
				
				return $url . $folder . trim($uri , '/');
				
			}
		}
		
		//Retreive a config item from system/app/config/config.php
		function item($item){
			if(!isset($this->config[$item])){
				return false;
			}else{
				return $this->config[$item];
			}
		}
		
	}
	
?>