<?php
	
	if(!defined('SYS_ROOT')){exit('No direct file access allowed!');}
	
	/**
	* Xtron PHP Framework
	* A MVC style framework for building web applications
	* By: Jason Alan Delaney (http://www.xtroncms.com)
	* PHP version 5+
	*
	*/

	/**
	* E-Mail class
	*/
	
	/**
	* TODO:
	* - Function to setup mail ports, servers, and other settings
	* - SMTP Authentication and SSL 
	*/
	
	class Mail {
		
		var $to;//Send to email
		var $from;//Sent from email
		var $set;
		
		function __construct(){
			$this->config =& load_class('Config');
			//load the mail config file
			$this->config->load('mail');
			
			$this->validate =& load_class('Validator');
			
			if($this->set < 1){
				$this->_setup();
			}
		}
		
		
		function _setup(){
			
			$this->to 	= $this->config->item('to_email');
			$this->from = $this->config->item('from_email');
			
			ini_set('sendmail_from',$this->from);
			
			$this->set = 1;
			
		}
		

		function send($msg, $subj,$loc=null, $oemails=array()){
			
			//check if valid, display invalid message if not, otherwise continue checks
			
			//Valid email?
			if($this->validate->email($this->to)){
				
				$headers  = 'From: ' . $this->from . '\r\n';
				//Send to multiple emails?
				if(count($oemails) > 0){
					$headers .= 'CC: ';
					foreach($oemails as $email){
						if($this->validate->email($email)){
							$headers .= $email . ',';
						}
					}
					$headers .= '\r\n';
				} 
				$headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";
				
				if(mail($this->to, $subj, $msg, $headers)){
					if($loc != null){
						header("Refresh:0;url=" . $loc);
					}
				}
				
			}else{
				
				error("Invalid email '". $this->to ."' check mail config file");
				
			}
			
		}
		
		
	}
	
?>