<?php
	
	if(!defined('SYS_ROOT')){exit('No direct file access allowed!');}
	
	/**
	* Xtron PHP Framework
	* A MVC style framework for building web applications
	* By: Jason Alan Delaney (http://www.xtroncms.com)
	* PHP version 5+
	*/
	
	class URI {
		
		var $uri_string;//full URI string
		var $uri_segments;//URI segments
		var $uri_resegments;
		
		function __construct(){
			$this->config =& load_class('Config');
		}
		
		function _get_uri(){
			
			if (is_array($_GET) && count($_GET) == 1 && trim(key($_GET), '/') != '')
			{
				$this->uri_string = key($_GET);
				return;
			}

			$path = (isset($_SERVER['PATH_INFO'])) ? $_SERVER['PATH_INFO'] : @getenv('PATH_INFO');
			if (trim($path, '/') != '' && $path != '/' . SELF){

				$this->uri_string = $path;
				return;
			}
			
			$path =  (isset($_SERVER['QUERY_STRING'])) ? $_SERVER['QUERY_STRING'] : @getenv('QUERY_STRING');
			if (trim($path, '/') != ''){
				$this->uri_string = $path;
				return;
			}
			
			
			//Coouldn't get URI string =[
			$this->uri_string = '';
			
			// If the URI contains only a slash we'll kill it
			if ($this->uri_string == '/'){
				$this->uri_string = '';
			}
			
		}
		
		/**
		* Put the URI string into individual segments
		*/
		function get_segments(){
			
			$string = explode('/', $this->uri_string);
			
			foreach($string as $val){
				$val = trim($val);
				
				//Exclude empty segments and the system folder
				if($val != '' && $val != str_replace('/','',$this->config->item('folder')) && $val != 'index.php'){
					$this->uri_segments[] = $val;
				}
				
			}
			
			//Set segments array to default if there are no segments in the URI
			if(count($this->uri_segments) < 1){
				$this->uri_segments = array('');
			}
			
		}
		
		/**
		* Get segment from URI
		* Default is 2 because normally 0 and 1 are reserved for the controller and method
		*/
		function segment($number = 3){
			if(isset($this->uri_segments[$number])){
				return trim($this->uri_segments[$number]);
			}else{
				return false;
			}
		}
		
		//Returns number of segments in the URI::uri_segments array
		function num_segments(){
			if(isset($this->uri_segments) && count($this->uri_segments) > 0){
				return count($this->uri_segments);
			}else{
				return 0;
			}
		}
		
		//Cleans URI from attacks / security risks
		function _clean($uri){
			return $uri;
		}
		
	}
	
?>